#!/bin/bash

# A csere elvégzéséhez a következő lépéseket hajtjuk végre:
#    1.) Egy segédváltozóban eltároljuk az egyik fájl tartalmát.
#    2.) A másolattal rendelkező fájlt most már felülírhatjuk, nem fog elveszni a tartalma.
#        A másik fájl tartalmát beleirányítjuk az elsőbe.
#    3.) Végül a másik fájlba irányítjuk az első fájl tartalmát a segédváltozóból. 

temp=$(cat $1)      # 1.) lépés
cat $2 > $1         # 2.) lépés
echo "$temp" > $2   # 3.) lépés

# Segédváltozó helyett egy ideiglenes fájlban is eltárolhatjuk az egyik fájl tartalmát,
# viszont utána törölni is kell ezt az extra fájlt.
: '
cat $1 > tmp.txt          # 1.) lépés
cat $2 > $1               # 2.) lépés
cat tmp.txt > $2          # 3.) lépés

rm tmp.txt
'
