#!/bin/bash

# Bevezetünk egy számláló változót, amiben a Java kiterjesztésű fájlok darabszámát tároljuk.
java_szamlalo=0

# Egy for-ciklussal végigmegyünk a szkript parancssori paraméterein.
# A $* visszaadja a paramétereket szóközzel elválasztva egy stringben, lényegében ezt járjuk be.
for param in $*; do

	# A kiterjesztés a pont karakter utáni rész az állománynévben, tehát darabolunk a '.' karakter mentén, majd vesszük az így kapott második darabot.
	# A kiterjesztésben nem szeretnénk megkülönböztetni a kis- és nagybetűket, ezért minden kiterjesztést egységesen kisbetűssé alakítunk a `tr` parancs segítségével.
	# A csővezetéket beágyazott parancsként adjuk meg $(...) formában - de `...` között is lehetne -, hogy a kimenetét eltárolhassuk egy változóban.
	kiterjesztes=$(echo $param | cut -d '.' -f 2 | tr A-Z a-z)
	
	# Ha az így kapott, kisbetűsített kiterjesztés "java", akkor megnöveljük a számlálónk értékét 1-gyel.
	# Itt a (( )) azért kell, hogy kiértékeljük a matematikai kifejezést.
	if [[ $kiterjesztes = "java" ]]; then
		((++java_szamlalo)) # Ezt pl. a "let" kulcsszóval is elvégezhettük volna, de így a legrövidebb.
	fi
done

# Kiíratjuk a Java kiterjesztésű fájlok számát a konzolra.
# Fontos, hogy idézőjeleket használjunk a kiíratás során, ha változóértékeket szeretnénk behelyettesíteni a kiíratott szövegben!
echo "$java_szamlalo darab Java kiterjesztésű fájlt kaptam paraméterben."
